using System;

internal sealed class Delegate868 : MulticastDelegate
{
	public extern Delegate Invoke(object object_0, Type type_0);

	public static Delegate smethod_0(object object_0, Type type_0, Delegate868 delegate868_1)
	{
		return delegate868_1(object_0, type_0);
	}

	public extern Delegate868(object object_0, IntPtr intptr_0);

	static Delegate868()
	{
		Class10.smethod_13(typeof(Delegate868).TypeHandle);
	}

	internal static Delegate868 delegate868_0;
}
